# $Revision: 1.5 $, $Date: 2010/07/08 08:09:35 $
%define 	module elixir
Summary:	Declarative layer on top of the SQLAlchemy library
Summary(pl.UTF-8):	Warstwa nad biblioteką SQLAlchemy.
Name:		python-%{module}
Version:	0.7.1
Release:	2
License:	MIT
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/E/Elixir/Elixir-%{version}.tar.gz
# Source0-md5:	5615ec9693e3a8e44f69623d58f54116
URL:		http://elixir.ematia.de/trac/wiki
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
# if py_postclean is used
BuildRequires:	rpmbuild(macros) >= 1.219
#Requires:		python-libs
Requires:	python-SQLAlchemy
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A declarative layer on top of SQLAlchemy. It is a fairly thin wrapper,
which provides the ability to create simple Python classes that map
directly to relational database tables (this pattern is often referred
to as the Active Record design pattern), providing many of the
benefits of traditional databases without losing the convenience of
Python objects.

%description -l pl.UTF-8
Cienka dodatkowa warstwa ponad SQLAlchemy. Pozwala tworzyć proste
klasy Pythonowe bezpośrednio mapowane do tabel relacyjnej bazy danych
(często nazywane też wzorcem projektowym Active Record) dając wiele
z zalet tradycyjnych baz danych bez straty wygody obiektów
Pythonowych.

%prep
%setup -q -n Elixir-%{version}

%build
export CFLAGS="%{rpmcflags}"
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
## %doc AUTHORS CREDITS ChangeLog NEWS README THANKS TODO
##%{py_sitedir}/*.py[co]
## %attr(755,root,root) %{py_sitedir}/*.so
%{py_sitescriptdir}/%{module}
##%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/Elixir-*.egg-info
##%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-elixir.spec,v $
Revision 1.5  2010/07/08 08:09:35  arekm
- release 2

Revision 1.4  2009/11/25 10:51:15  matkor
- Version 0.7.1-1.

Revision 1.3  2009/07/06 06:30:25  matkor
- Release 2. BR: python-setuptools

Revision 1.2  2009/07/04 20:13:14  matkor
- Release 1. Works for me.

Revision 1.1  2009/07/04 19:06:26  matkor
- Initial.

